org.apache.maven.scm.provider.starteam.command.update

## Class StarteamUpdateCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.update.AbstractUpdateCommand
    - - org.apache.maven.scm.provider.starteam.command.update.StarteamUpdateCommand

All Implemented Interfaces:
  Command, StarteamCommand

    public class StarteamUpdateCommand
    extends AbstractUpdateCommand
    implements StarteamCommand

Author:
  Dan T. Tran

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`StarteamUpdateCommand()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine(StarteamScmProviderRepository repo, ScmFileSet fileSet, ScmVersion version)`
`static org.codehaus.plexus.util.cli.Commandline` `createDeleteLocalCommand(StarteamScmProviderRepository repo, ScmFileSet dir, ScmVersion version)`
`protected UpdateScmResult` `executeUpdateCommand(ScmProviderRepository repo, ScmFileSet fileSet, ScmVersion version)`
`protected ChangeLogCommand` `getChangeLogCommand()`

### Methods inherited from class org.apache.maven.scm.command.update.AbstractUpdateCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### StarteamUpdateCommand

    public StarteamUpdateCommand()

### Method Detail

#### executeUpdateCommand

    protected UpdateScmResult executeUpdateCommand(ScmProviderRepository repo,
                                                   ScmFileSet fileSet,
                                                   ScmVersion version)
                                            throws ScmException

Specified by:
  `executeUpdateCommand` in class `AbstractUpdateCommand`
Throws:
  `ScmException`

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine(StarteamScmProviderRepository repo,
                                                                             ScmFileSet fileSet,
                                                                             ScmVersion version)

#### getChangeLogCommand

    protected ChangeLogCommand getChangeLogCommand()

Specified by:
  `getChangeLogCommand` in class `AbstractUpdateCommand`

#### createDeleteLocalCommand

    public static org.codehaus.plexus.util.cli.Commandline createDeleteLocalCommand(StarteamScmProviderRepository repo,
                                                                                    ScmFileSet dir,
                                                                                    ScmVersion version)